---
title: FontFaceSet
slug: Web/API/FontFaceSet
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - Experimental
  - Fonts
  - Interface
  - Reference
---
<div>{{APIRef("CSS Font Loading API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>FontFaceSet</code></strong> interface of the <a href="/en-US/docs/Web/API/CSS_Font_Loading_API">CSS Font Loading API</a> manages the loading of font-faces and querying of their download status.It is available as document.fonts.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("FontFaceSet.status")}} {{readonlyinline}}</dt>
 <dd>Indicates the font-face's loading status. It will be one of <code>'loading'</code> or <code>'loaded'</code>.</dd>
</dl>

<dl>
 <dt>{{domxref("FontFaceSet.ready", "FontFaceSet.ready")}} {{readonlyinline}}</dt>
 <dd>{{jsxref("Promise")}} which resolves once font loading and layout operations have completed.</dd>
</dl>

<h3 id="Events">Events</h3>

<dl>
 <dt>{{domxref("FontFaceSet.onloading")}}</dt>
 <dd>An {{domxref("EventListener")}} called whenever an event of type {{event("loading")}} is fired, indicating a font-face set has started loading.</dd>
 <dt>{{domxref("FontFaceSet.onloadingdone")}}</dt>
 <dd>An {{domxref("EventListener")}} called whenever an event of type {{event("loadingdone")}} is fired, indicating that a font face set has finished loading.</dd>
 <dt>{{domxref("FontFaceSet.onloadingerror")}}</dt>
 <dd>An {{domxref("EventListener")}} called whenever an event of type {{event("loadingerror")}} is fired, indicating that an error occurred whilst loading a font-face set.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("FontFaceSet.add","FontFaceSet.add()")}}</dt>
 <dd>Adds a font to the font set.</dd>
 <dt>{{domxref("FontFaceSet.check","FontFaceSet.check()")}}</dt>
 <dd>A {{domxref("Boolean")}} that indicates whether a font is loaded, but doesn't initiate a load when it isn't.</dd>
 <dt>{{domxref("FontFaceSet.clear", "FontFaceSet.clear()")}}</dt>
 <dd>Removes all manually-added fonts from the font set. <a href="https://www.w3.org/TR/css-font-loading-3/#css-connected">CSS-connected</a> fonts are unaffected.</dd>
 <dt>{{domxref("FontFaceSet.delete","FontFaceSet.delete()")}}</dt>
 <dd>Removes a manually-added font from the font set. <a href="https://www.w3.org/TR/css-font-loading-3/#css-connected">CSS-connected</a> fonts are unaffected.</dd>
 <dt>{{domxref("FontFaceSet.load","FontFaceSet.load()")}}</dt>
 <dd>Returns a {{jsxref("Promise")}} which resolves to a list of font-faces for a requested font.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#FontFaceSet-interface','FontFaceSet')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FontFaceSet")}}</p>
</div>
